Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Class RtfSpaceSplitter

    java.lang.Object
      org.apache.fop.render.rtf.rtflib.rtfdoc.RtfSpaceSplitter

    public class RtfSpaceSplitter

extends java.lang.Object

This class splits block attributes into space-before attribute, space-after attribute and common attributes.

Constructor Summary
`RtfSpaceSplitter(RtfAttributes attrs, int previousSpace)` Create RtfSpaceSplitter with given RtfAttributes.

Method Summary
`int` | `flush()` Adds corresponding attributes to their candidates.
`RtfAttributes` | `getCommonAttributes()`
`int` | `getSpaceBefore()`
`boolean` | `isAfterCadidateSet()`
`boolean` | `isBeforeCadidateSet()`
`void` | `setSpaceAfterCandidate(RtfAttributes candidate)` Sets a candidate for space-after property.
`void` | `setSpaceBeforeCandidate(RtfAttributes candidate)` Sets a candidate for space-before property.
`int` | `split(java.lang.String key)` Remove attributes with name `key` from `commonAttributes` and return it as int.
`void` | `stopUpdatingSpaceBefore()` Stops updating candidates for space-before attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RtfSpaceSplitter

    public RtfSpaceSplitter(RtfAttributes attrs,
                            int previousSpace)

  Create RtfSpaceSplitter with given RtfAttributes.

  Parameters:
    `attrs` - RtfAttributes for splitting
    `previousSpace` - integer, representing accumulated spacing

Method Detail

### split

    public int split(java.lang.String key)

  Remove attributes with name `key` from `commonAttributes` and return it as int.

  Parameters:
    `key` - attributes name to extract
  Returns:
    integer, representing value of extracted attributes

### getCommonAttributes

    public RtfAttributes getCommonAttributes()

  Returns:
    attributes, applicable to whole block.

### getSpaceBefore

    public int getSpaceBefore()

  Returns:
    space-before value.

### setSpaceBeforeCandidate

    public void setSpaceBeforeCandidate(RtfAttributes candidate)

  Sets a candidate for space-before property.

  Parameters:
    `candidate` - instance of `RtfAttributes`, considered as a candidate for space-before adding

### setSpaceAfterCandidate

    public void setSpaceAfterCandidate(RtfAttributes candidate)

  Sets a candidate for space-after property.

  Parameters:
    `candidate` - instance of `RtfAttributes`, considered as a candidate for space-after adding

### isBeforeCadidateSet

    public boolean isBeforeCadidateSet()

  Returns:
    true, if candidate for space-before is set.

### isAfterCadidateSet

    public boolean isAfterCadidateSet()

  Returns:
    true, if candidate for space-after is set.

### stopUpdatingSpaceBefore

    public void stopUpdatingSpaceBefore()

  Stops updating candidates for space-before attribute.

### flush

    public int flush()

  Adds corresponding attributes to their candidates.

  Returns:
    integer, representing value of space-before/space-after attributes, that can't be added anywhere (i.e. these attributes hasn't their candidates)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.